/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/boleto-billing
curl --request POST \
--url https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/boleto-billing \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/boleto-billing"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/boleto-billing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"environment": "LIVE",
"realmId": "<string>",
"organizationId": "<string>",
"accountId": "<string>",
"walletId": "<string>",
"barcode": "<string>",
"digitableLine": "<string>",
"ourNumber": "<string>",
"ourNumberDigit": "<string>",
"status": "INITIATED",
"txnCurrency": "784",
"txnAmount": 123,
"txnMaxAmount": 123,
"txnMinAmount": 123,
"txnAmountLimitType": "FIXED_VALUE",
"txnDivergentAmountType": "ANY_AMOUNT",
"txnDiscountAmount": [
{
"date": "<string>",
"amount": 123,
"amountType": "EXEMPT"
}
],
"txnFineAmount": {
"date": "<string>",
"amount": 123,
"amountType": "FIXED_VALUE"
},
"txnInterestAmount": {
"date": "<string>",
"amount": 123,
"amountType": "AMOUNT_CALENDAR_DAYS"
},
"confirmedAmount": 123,
"confirmedAmountAuthorized": 123,
"confirmedCurrency": "784",
"dueDate": "<string>",
"expiresAt": "<string>",
"description": "<string>",
"errorCode": "<string>",
"errorDescription": "<string>",
"customer": {
"name": "<string>",
"document": "<string>",
"address": {
"city": "<string>",
"complement": "<string>",
"neighborhood": "<string>",
"number": "<string>",
"postalCode": "<string>",
"state": "<string>",
"street": "<string>"
}
},
"finalBeneficiary": {
"document": "<string>",
"documentType": "CPF",
"name": "<string>"
},
"external": {
"boletoBillingId": "<string>"
},
"settledAt": "<string>",
"confirmedBalanceCategory": "FLEX_NATIONAL",
"createdAt": "<string>",
"updatedAt": "<string>"
}Boleto Charges
/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/boleto-billing
POST
/
realms
/
{realmId}
/
organizations
/
{organizationId}
/
accounts
/
{accountId}
/
wallets
/
{walletId}
/
boleto-billing
/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/boleto-billing
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
201 - application/json
Successful response
Available options:
LIVE, TEST Available options:
INITIATED, REQUESTED, ENQUEUED, PROCESSING, CREATED, PROCESSING_PAYMENT, PAID Available options:
784, 971, 008, 051, 973, 032, 036, 533, 944, 977, 052, 050, 048, 108, 060, 096, 068, 984, 986, 044, 064, 072, 933, 084, 124, 976, 947, 756, 948, 990, 152, 156, 170, 970, 188, 192, 132, 203, 262, 208, 214, 012, 818, 232, 230, 978, 242, 238, 826, 981, 936, 292, 270, 324, 320, 328, 344, 340, 332, 348, 360, 376, 356, 368, 364, 352, 388, 400, 392, 404, 417, 116, 174, 408, 410, 414, 136, 398, 418, 422, 144, 430, 426, 434, 504, 498, 969, 807, 104, 496, 446, 929, 480, 462, 454, 484, 979, 458, 943, 516, 566, 558, 578, 524, 554, 512, 590, 604, 598, 608, 586, 985, 600, 634, 946, 941, 643, 646, 682, 090, 690, 938, 752, 702, 654, 925, 706, 968, 728, 930, 222, 760, 748, 764, 972, 934, 788, 776, 949, 780, 901, 834, 980, 800, 840, 997, 940, 858, 927, 860, 926, 928, 704, 548, 882, 396, 950, 961, 959, 955, 956, 957, 958, 951, 532, 960, 952, 964, 953, 962, 994, 963, 965, 999, 886, 710, 967, 924 Available options:
FIXED_VALUE, PERCENT Available options:
ANY_AMOUNT, BETWEEN_MIN_AND_MAX, ONLY_MIN_AMOUNT, NOT_ALLOW_DIFFERENT_AMOUNT Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
784, 971, 008, 051, 973, 032, 036, 533, 944, 977, 052, 050, 048, 108, 060, 096, 068, 984, 986, 044, 064, 072, 933, 084, 124, 976, 947, 756, 948, 990, 152, 156, 170, 970, 188, 192, 132, 203, 262, 208, 214, 012, 818, 232, 230, 978, 242, 238, 826, 981, 936, 292, 270, 324, 320, 328, 344, 340, 332, 348, 360, 376, 356, 368, 364, 352, 388, 400, 392, 404, 417, 116, 174, 408, 410, 414, 136, 398, 418, 422, 144, 430, 426, 434, 504, 498, 969, 807, 104, 496, 446, 929, 480, 462, 454, 484, 979, 458, 943, 516, 566, 558, 578, 524, 554, 512, 590, 604, 598, 608, 586, 985, 600, 634, 946, 941, 643, 646, 682, 090, 690, 938, 752, 702, 654, 925, 706, 968, 728, 930, 222, 760, 748, 764, 972, 934, 788, 776, 949, 780, 901, 834, 980, 800, 840, 997, 940, 858, 927, 860, 926, 928, 704, 548, 882, 396, 950, 961, 959, 955, 956, 957, 958, 951, 532, 960, 952, 964, 953, 962, 994, 963, 965, 999, 886, 710, 967, 924 Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
FLEX_NATIONAL, FLEX_INTERNATIONAL, FOOD, GAS, MOBILITY, TOLL, FLEX_NATIONAL_WITHOUT_WITHDRAWALS, ADS, SAAS, HOTEL, AIRLINES, TRAVEL, BLOCKED, CASHBACK